#
# $Id: zaptel.spec,v 1.4 2005/03/28 14:11:54 build Exp $
#

%define cvsdate		20050328
%define kernelver	2.4.22-1.5.49

Summary:	A library for generating tones used for telephone signalling.
Name:		zaptel
Version:	0.0.cvs+%{cvsdate}
Release:	1.5.7
Group:		System Environment/Libraries
License:	GPL
Source0:	%{name}-%{version}.tar.gz
Patch00:	zaptel+cvs20050125-Makefile-gd-1.diff
Patch01:	zaptel+cvs20050328-init-gd-1.diff
Patch02:	zaptel+cvs20041110-force-2.4-build-gd-1.diff
URL:		ftp://ftp.asterisk.org/pub/telephony/
BuildRoot:	%{_tmppath}/%{name}-%{release}-root
Requires:	asterisk

%description
This package provides zaptel, aka 'libtonezone' which provides a
library for generating tones used for telephone signalling.  This
package has an explicit dependancy on the 'asterisk' package
because it contains files which reference the 'asterisk' system group.

%files
  %defattr(-,root,root)

  %attr(0750,root,asterisk)	%dir /dev/zap
  %attr(0660,root,asterisk)	/dev/zap/*

  %attr(0700,root,root)		%{_sysconfdir}/init.d/zaptel
  %attr(0640,root,asterisk)	%{_sysconfdir}/zaptel.conf
  %attr(0510,root,asterisk)	%{_root_sbindir}/ztcfg
  %attr(0555,root,root)		%{_libdir}/libtonezone.so
  %attr(0555,root,root)		%{_libdir}/libtonezone.so.*
# %attr(0444,root,root)		/%{_lib}/modules/%{kernelver}/misc/*.o

%package devel
Summary:	Header files for zaptel development
Group:		Development/Libraries
Requires:	zaptel = %{version}

%description devel
This package contains the header files used for zaptel application
development.

%files devel
  %defattr(-,root,root)

  %attr(0444,root,root)		%{_includedir}/linux/*.h
  %attr(0444,root,root)		%{_includedir}/tonezone.h

%prep
%setup -q
%patch00 -p1
%patch01 -p1
%patch02 -p1

%build
  make linux24

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_includedir}/linux
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
  make INSTALL_PREFIX=$RPM_BUILD_ROOT KERNEL_VERSION=%{kernelver} install config

%post
  %{_root_sbindir}/depmod -a
  %{_root_sbindir}/ldconfig

%postun
  %{_root_sbindir}/depmod -a
  %{_root_sbindir}/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Mar 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.0.cvs+20050328, Release 1.5.7
  - Update to latest upstream CVS snapshot.

* Tue Jan 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.0.cvs+20050125, Release 1.5.6
  - Update to latest upstream CVS snapshot.
  - Build ztdummy.
  - Forward-port our patches.

* Wed Dec 28 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.0.cvs+20041228, Release 1.5.5
  - Update to latest CVS snapshot.
  - Fix permissions on /dev/zap.

* Fri Dec 17 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.0.cvs+20041217, Release 1.5.4
  - Update to latest CVS snapshot.

* Wed Nov 10 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.0.cvs+20041110, Release 1.5.3
  - Update to latest upstream CVS.

* Tue May 11 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.0.cvs+20040511, Release 1.5.2
  - Update to latest upstream CVS.

* Fri Feb 26 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.0.cvs+20040226, Release 1.5.1
  - Initial build for EnGarde.
